import * as React from 'react';
import { ClassValue } from 'classnames/types';
import Formsy, { FormsyProps } from 'formsy-react';
declare type FormPropsCleaned = Omit<React.FormHTMLAttributes<HTMLFormElement>, 'className' | 'onChange' | 'onInvalid' | 'onSubmit' | 'onError' | 'onReset'>;
declare type FormsyPropsCleaned = Omit<FormsyProps, 'className'>;
declare const formDefaultProps: {
    layout: import("../examples/playground/src/App").LayoutChoice;
    className: ClassValue;
    elementWrapperClassName: ClassValue;
    labelClassName: ClassValue;
    rowClassName: ClassValue;
    validateBeforeSubmit: boolean;
    validatePristine: boolean;
    disabled: boolean;
};
declare type DefaultProps = typeof formDefaultProps;
declare type FormProps = FormPropsCleaned & Partial<FormsyPropsCleaned> & DefaultProps;
declare class Form extends React.Component<FormProps, {}> {
    static defaultProps: {
        layout: import("../examples/playground/src/App").LayoutChoice;
        className: ClassValue;
        elementWrapperClassName: ClassValue;
        labelClassName: ClassValue;
        rowClassName: ClassValue;
        validateBeforeSubmit: boolean;
        validatePristine: boolean;
        disabled: boolean;
    };
    formsyForm: React.RefObject<Formsy>;
    constructor(props: any);
    render(): JSX.Element;
}
export default Form;
